const TEAM_TLA = "BRA";
const SERVER_URL = "https://cache-wc.4yousee.com.br/";
const API_URL = `${SERVER_URL}v1/wc`;
const ENDPOINT = `${API_URL}/date?date=2022-12-18`;
const dateFormat = 'es-MX';

$(document).ready(function () {


    function formatDate(gameDate) {
        let date = gameDate.format("dddd, D [de] MMMM").replace("-feira", "");
        date = date[0].toUpperCase() + date.slice(1);
        let hour = gameDate.format("HH[h]mm");
        return {
            date,
            hour
        }
    }

    $.ajaxSetup({
        headers: {
            'Secret-Token': "Y2MIB91VTUX885GB41CYUEG4AYSLL3"
        }
    });

    $.get(ENDPOINT, function (data) {
        let game = data.response[0];
        if (game) {
            let gameDate = moment(game.date).locale(dateFormat);;
            let { date, hour } = formatDate(gameDate);
            $(".date-game").text(date);
            $(".hour").text(hour);
            if (game.home.shortName) {
                $(".teams .home-team").text(game.home.shortName.toUpperCase());
                $(".flags  .home-flag .flag").attr("src", `./img/flags/${game.home.shortName.toUpperCase()}.svg`);
            }
            if (game.away.shortName) {
                $(".teams .away-team").text(game.away.shortName.toUpperCase());
                $(".flags  .away-flag .flag").attr("src", `./img/flags/${game.away.shortName.toUpperCase()}.svg`);
            }
            if (game.score.away != null) {
                $(".flags .center-detail .score-home").text(game.score.away);
            }
            if (game.score.home != null) {
                $(".flags .center-detail .score-away").text(game.score.home);
            }
            $(".stadium").text(game.stadium)
        }
    });

});
